class ApplicationController < ActionController::API
  serialization_scope :view_context

  protected

  def current_user
    # @current_user ||= User.find_by(id: session[:user_id])
    @current_user ||= User.first
  end

  def current_entity
    @current_entity ||= begin
      if params[:team_id]
        current_user.teams.find(params[:team_id])
      elsif params[:user_id]
        current_user.users.find(params[:user_id])
      else
        current_user
      end
    end
  end

end
