class JobsController < ApplicationController

  def pop
    render json: Job.pop
  end

  def index
    render json: current_entity.jobs
  end

  def show
    render json: current_entity.jobs.find(params[:id]), show_all: true
  end

  def update_status
    Job.find_by!(key: params[:id]).update!(status: params[:status])
    render plain: 'OK'
  end

end
