class SessionsController < ApplicationController

  def create
    user = User.from_omniauth(request.env['omniauth.auth'])
    session[:user_id] = user.id
    redirect_to Config.ui_root_url
  end

  def destroy
    session[:user_id] = nil
  end

  def failure
    redirect_to Config.ui_root_url, failed: true
  end

end
