class CreatePipelines < ActiveRecord::Migration[5.0]
  def change
    create_table :pipelines do |t|
      t.references :project, foreign_key: true, null: true
      t.string :definition
      t.json :event
      t.text :variables
      t.string :stage
      t.string :status
      t.string :error

      t.timestamps
    end
  end
end
