class CreateJobs < ActiveRecord::Migration[5.0]
  def change
    create_table :jobs do |t|
      t.references :pipeline,   foreign_key: true, null: false
      t.string :pipeline_stage
      t.string :key,            null: false
      t.string :status,         null: false, default: 'PENDING'
      t.string :commit
      t.string :branch
      t.string :worker
      t.json :spec

      t.timestamps
    end
  end
end
